from .config import *

def parse(file):
    ibv     = 'AGv' + version.split(' ')[-1].replace('.', '-')

    #Read in inp/log file
    doc  = read_file(file)

    #Find Run Type and Basis in file
    runtype = get_gamess_input('RUNTYP=', doc)
    if ctr_f('GBASIS=', doc) != -1:
        basis_set  = get_gamess_input('GBASIS=', doc)

    #Find Theory level in file
    for key in theory_dict:
        if ctr_f(theory_dict[key], doc) != -1:
            theory = key



    #Rename file using AutoGAMESS naming convention
    filename = file.split('/')[-1].strip('.')
    new_name = ibv + '_' + specie + '_' + theory + '_' + basis_set + '_' + rtp
    new      = file.replace(filename, new_name)

    return [specie], [basis_set], [theory], [runtype]
